Jump to content
PhAzE

[PhAzE] Plugins for Unraid 5/6

3606 posts in this topic Last Reply

Recommended Posts

@Phaze, or anyone else. I am using a Roku 2 to stream

 

I am on the latest version of the plug-in, I hadn't watch a movie in a while decided to. Of the two movies i watch the same issue happened to both. It would play for 30 40 50 minutes and the movie would stop and state "We are unable to play this movie please make sure that you have access to the server" In fact the server never quit. So i turned to the googles.

I read a couple of articles(were a little dated) that roku has some issues.  i was able to get to the logs of the roku and in once instance it threw the error that trans coder quit. I tried to find the plex log that show transcode but was unsuccessful. A little more research on the plex forums and they blamed roku and others blamed the universal transcoder. 

 

i also have EMBY server running on Unraid, so i queued up the same movie got to the same spot and the movie kept paying with no issues. which lead me to believe that its plex having the issues. BUT when i watch a that same movie using a pc or thru the web it has no problems  so I am back at square one.

 

anyone else having a similar issue?

Using /tmp as transcode location?

 

No i have a dedicated folder for transcoding, found the issue was the movie.

 

Thanks for the reply

Share this post


Link to post

Guys, I am ashamed to ask this, but I have just installed Transmission plugin and I can't find settings.json file anywhere. I have start/stop the client but the /boot/config/plugins/Transmission folder is still missing json file. Or I am looking at the wrong place?

Share this post


Link to post

Guys, I am ashamed to ask this, but I have just installed Transmission plugin and I can't find settings.json file anywhere. I have start/stop the client but the /boot/config/plugins/Transmission folder is still missing json file. Or I am looking at the wrong place?

Don't use this myself, but I don't think you're doing this right. Typically we don't store app data on the flash. Maybe post a screenshot of your plugin settings.

Share this post


Link to post

Sure, here is plugin screen. Install directory is /usr/local/Transmission, but isn't this in RAM or does it have physical location?

Screen_Shot_2015-11-14_at_13_03_19.jpg.cccb3f9268ffef65eccc9dda766980bb.jpg

Share this post


Link to post

Sure, here is plugin screen. Install directory is /usr/local/Transmission, but isn't this in RAM or does it have physical location?

You're doing it wrong. Suggest you go to the first of this thread and read a few pages until you find some other screenshots of at least one other plugin. Is this your first attempt at a plugin? Do you have a cache drive?

Share this post


Link to post

Thank for looking at it. Its not my first plugin, I've actually been using them for last year (Couchpotato, Sickrage, BTsync, etc..). I leave the install directory by default, ie, not changing it, thats how the Transmission was installed.

 

No, I dont have cache drive, but I do use Unassigned drives plugin and have a few drives for downloading. What do you suggest?

Share this post


Link to post

Thank for looking at it. Its not my first plugin, I've actually been using them for last year (Couchpotato, Sickrage, BTsync, etc..). I leave the install directory by default, ie, not changing it, thats how the Transmission was installed.

 

No, I dont have cache drive, but I do use Unassigned drives plugin and have a few drives for downloading. What do you suggest?

Set the config directory. How do you have that set on your other plugins?

 

That will also be the solution to finding settings.json

Share this post


Link to post

hi Phaze,

 

i switched to Sickrage but still no updates:

Stopping SickRage...
Stop OK! 
Installing SickRage...
fatal: Could not change back to '/root': Permission denied
Install failed: Install file missing 

 

hi phaze, i still have problems with my cronjob & sickbeard_alt (sickrage repo) command to update/ check for updates every night:

05 5 * * * /etc/rc.d/rc.Sickbeard_alt update > /boot/logs/phaze.Sickbeard_alt.txt 2>&1 &

 

this is the log:

Stopping Sick Beard Alt...
Stop OK: Already stopped 
Installing Sick Beard Alt...
fatal: Could not change back to '/root': Permission denied
Install failed: Install file missing 

 

every other of your plugin like sab, couch potato, plex, plexconnect, nzbmegasearch and btsync are running fine.

i'm on 6.1.3 and all plugins are up to date.

Can i suggest first switching to my sickrage plugin? I found that the "force update" option can break sickrage when used under sickbeard or sb_alt plugins..

Can you post what shows in the "Activity Log" after you've run this cron and get the error?  I want to see if it at least stops the app, and begins the install process. It should help track down what the issue is.

 

Having a similar problem trying to install Sabnzbd via the settings menu. I am getting an error that says "Install file missing". Here is the activity log:

 

2015-11-14 15:18:36 [iNFO] *** Apply - Enable Initiated *** 2015-11-14 15:18:36 [iNFO] Stopping SABnzbd... 2015-11-14 15:18:36 [iNFO] Stop OK: Not installed 2015-11-14 15:18:37 [iNFO] Updating settings 2015-11-14 15:18:37 [iNFO] Installing SABnzbd... 2015-11-14 15:18:38 [iNFO] Updating dependencies 2015-11-14 15:18:38 [iNFO] Dependency install file has correct MD5 2015-11-14 15:18:38 [iNFO] Using /mnt/cache/.PhAzE-Common for dependency directory 2015-11-14 15:18:39 [iNFO] Dependencies updated successfully 2015-11-14 15:18:39 [iNFO] Updating export file 2015-11-14 15:18:39 [iNFO] Updating shorcut file 2015-11-14 15:18:44 [WARNING] Unable to get latest version from online - Checking USB for any install file 2015-11-14 15:18:44 [ERROR] Install failed: Install file missing

 

Any ideas? I am running Unraid v. 6.1.3

 

Thanks!!

Share this post


Link to post

I am seeing the same exact issue but with CouchPotato. However on the plugins page I am also seeing some problems...

 

Installed Version:NOT INSTALLED

Python Version:NOT WORKING

GIT Version:NOT WORKING

 

2015-11-15 16:19:47 [iNFO] *** Update Initiated ***

2015-11-15 16:19:47 [iNFO] Stopping CouchPotato...

2015-11-15 16:19:47 [iNFO] Stop OK: Already stopped

2015-11-15 16:19:48 [iNFO] Installing CouchPotato...

2015-11-15 16:19:49 [iNFO] Updating dependencies

2015-11-15 16:19:50 [iNFO] Dependency install file has correct MD5

2015-11-15 16:19:50 [iNFO] Using /mnt/cache/.PhAzE-Common for dependency directory

2015-11-15 16:19:52 [iNFO] Dependencies updated successfully

2015-11-15 16:19:52 [iNFO] Updating export file

2015-11-15 16:19:52 [iNFO] Updating shorcut file

2015-11-15 16:19:52 [iNFO] Latest version found: e6fa8b8b9db3c7bdf936f8de66337a86bcaebda5 - Checking USB for same install file

2015-11-15 16:19:52 [iNFO] No copy found on USB - Downloading install file and checking for MD5 file

2015-11-15 16:19:52 [ERROR] Install failed: Install file missing

Share this post


Link to post

Thank for looking at it. Its not my first plugin, I've actually been using them for last year (Couchpotato, Sickrage, BTsync, etc..). I leave the install directory by default, ie, not changing it, thats how the Transmission was installed.

 

No, I dont have cache drive, but I do use Unassigned drives plugin and have a few drives for downloading. What do you suggest?

Set the config directory. How do you have that set on your other plugins?

 

That will also be the solution to finding settings.json

 

Indeed, now I get it. I have been using plugins, and on very few reboots (my server is almost all the time online), I was curious as to why I need to re-made settings, never really paid an attention.

 

Everything set & running. Thanks again.

Share this post


Link to post

Plex updated. This should remedy the single quotes being passed problem with the password.

Share this post


Link to post

I am seeing the same exact issue but with CouchPotato. However on the plugins page I am also seeing some problems...

 

Installed Version:NOT INSTALLED

Python Version:NOT WORKING

GIT Version:NOT WORKING

 

2015-11-15 16:19:47 [iNFO] *** Update Initiated ***

2015-11-15 16:19:47 [iNFO] Stopping CouchPotato...

2015-11-15 16:19:47 [iNFO] Stop OK: Already stopped

2015-11-15 16:19:48 [iNFO] Installing CouchPotato...

2015-11-15 16:19:49 [iNFO] Updating dependencies

2015-11-15 16:19:50 [iNFO] Dependency install file has correct MD5

2015-11-15 16:19:50 [iNFO] Using /mnt/cache/.PhAzE-Common for dependency directory

2015-11-15 16:19:52 [iNFO] Dependencies updated successfully

2015-11-15 16:19:52 [iNFO] Updating export file

2015-11-15 16:19:52 [iNFO] Updating shorcut file

2015-11-15 16:19:52 [iNFO] Latest version found: e6fa8b8b9db3c7bdf936f8de66337a86bcaebda5 - Checking USB for same install file

2015-11-15 16:19:52 [iNFO] No copy found on USB - Downloading install file and checking for MD5 file

2015-11-15 16:19:52 [ERROR] Install failed: Install file missing

Seems to be a problem with your dependencies. I recommend deleting the dependency repo at (the entire folder):

 

/mnt/cache/.PhAzE-Common

 

(Or /usr/local/PhAzE-Common if you don't use a cache drive)

 

Then reboot. That will force the dependencies to reinstall. Since your dependencies are messed, git clone won't work and that's why you aren't getting the install file downloaded.

 

Share this post


Link to post

hi Phaze,

 

i switched to Sickrage but still no updates:

Stopping SickRage...
Stop OK! 
Installing SickRage...
fatal: Could not change back to '/root': Permission denied
Install failed: Install file missing 

 

hi phaze, i still have problems with my cronjob & sickbeard_alt (sickrage repo) command to update/ check for updates every night:

05 5 * * * /etc/rc.d/rc.Sickbeard_alt update > /boot/logs/phaze.Sickbeard_alt.txt 2>&1 &

 

this is the log:

Stopping Sick Beard Alt...
Stop OK: Already stopped 
Installing Sick Beard Alt...
fatal: Could not change back to '/root': Permission denied
Install failed: Install file missing 

 

every other of your plugin like sab, couch potato, plex, plexconnect, nzbmegasearch and btsync are running fine.

i'm on 6.1.3 and all plugins are up to date.

Can i suggest first switching to my sickrage plugin? I found that the "force update" option can break sickrage when used under sickbeard or sb_alt plugins..

Can you post what shows in the "Activity Log" after you've run this cron and get the error?  I want to see if it at least stops the app, and begins the install process. It should help track down what the issue is.

 

Having a similar problem trying to install Sabnzbd via the settings menu. I am getting an error that says "Install file missing". Here is the activity log:

 

2015-11-14 15:18:36 [iNFO] *** Apply - Enable Initiated *** 2015-11-14 15:18:36 [iNFO] Stopping SABnzbd... 2015-11-14 15:18:36 [iNFO] Stop OK: Not installed 2015-11-14 15:18:37 [iNFO] Updating settings 2015-11-14 15:18:37 [iNFO] Installing SABnzbd... 2015-11-14 15:18:38 [iNFO] Updating dependencies 2015-11-14 15:18:38 [iNFO] Dependency install file has correct MD5 2015-11-14 15:18:38 [iNFO] Using /mnt/cache/.PhAzE-Common for dependency directory 2015-11-14 15:18:39 [iNFO] Dependencies updated successfully 2015-11-14 15:18:39 [iNFO] Updating export file 2015-11-14 15:18:39 [iNFO] Updating shorcut file 2015-11-14 15:18:44 [WARNING] Unable to get latest version from online - Checking USB for any install file 2015-11-14 15:18:44 [ERROR] Install failed: Install file missing

 

Any ideas? I am running Unraid v. 6.1.3

 

Thanks!!

Sab seems to install fine for me. Make sure when in the plugin settings gui, all the dependencies show the version number in green. Irs possible sourceforge was having a problem when you were trying to install/update.

Share this post


Link to post

Plex updated. This should remedy the single quotes being passed problem with the password.

Btw, after this update i recommend you retype your password into the password field and press apply to make sure the correct one is saved in the config file.

Share this post


Link to post

Having troubles installing the Flexget plugin.  It appears that the plugin installs OK, but it fails to install the actual Flexget juju.  I can access the Flexget settings page, but it tells me Flexget is not installed and gives an Install button.  However clicking that button, it says "Install failed: App executable not found" in the UI.

 

/var/log/Phase-logs/Flexget.log:

2015-11-19 01:49:22 [iNFO]      **************************
2015-11-19 01:49:22 [iNFO]      Installing Flexget plugin
2015-11-19 01:49:22 [iNFO]      **************************
2015-11-19 01:49:22 [iNFO]      Checking for current bundle files
2015-11-19 01:49:22 [iNFO]      Control file: Not Found
2015-11-19 01:49:22 [iNFO]      Dependency file: Not found
2015-11-19 01:49:22 [iNFO]      PIP file: Not found
2015-11-19 01:49:22 [iNFO]      Check OK!
2015-11-19 01:49:23 [iNFO]      Downloading new control file
2015-11-19 01:49:24 [iNFO]      Download OK: Control file passed MD5 check
2015-11-19 01:49:24 [iNFO]      Downloading new dependency file
2015-11-19 01:49:31 [iNFO]      Download OK: Dependency file passed MD5 check
2015-11-19 01:49:31 [iNFO]      Downloading new PIP install file
2015-11-19 01:49:33 [iNFO]      Download OK: PIP install file passed MD5 check
2015-11-19 01:49:33 [iNFO]      Locating and removing old bundle files
2015-11-19 01:49:33 [iNFO]      Running install script for FlexGet
2015-11-19 01:49:33 [iNFO]      Creating default plugin config file
2015-11-19 01:49:33 [iNFO]      Verifying plugin config file elements
2015-11-19 01:49:33 [iNFO]      Verification OK!
2015-11-19 01:49:33 [iNFO]      Installing control file
2015-11-19 01:49:33 [iNFO]      Control file install OK!
2015-11-19 01:49:33 [iNFO]      Removing Windows carriage characters from important files
2015-11-19 01:49:33 [iNFO]      Cleaning up temp files and folders
2015-11-19 01:49:33 [iNFO]      **************************
2015-11-19 01:49:33 [iNFO]      Install complete!
2015-11-19 01:49:33 [iNFO]      **************************
2015-11-19 01:50:11 [iNFO]      *** Apply - Disable Initiated ***
2015-11-19 01:50:11 [iNFO]      Stopping FlexGet...
2015-11-19 01:50:11 [iNFO]      Stop OK: Not installed
2015-11-19 01:50:12 [iNFO]      Updating settings
2015-11-19 01:50:12 [iNFO]      Updating plugin config file
2015-11-19 01:50:12 [iNFO]      Updating dependencies
2015-11-19 01:50:12 [iNFO]      Dependency install file has correct MD5
2015-11-19 01:50:12 [iNFO]      Using /mnt/cache/.PhAzE-Common for dependency directory
2015-11-19 01:50:34 [iNFO]      Dependencies updated successfully
2015-11-19 01:50:34 [iNFO]      Updating export file
2015-11-19 01:50:34 [iNFO]      Updating shorcut file
2015-11-19 01:50:34 [iNFO]      Updating PIP
2015-11-19 01:50:34 [iNFO]      PIP install file has correct MD5
2015-11-19 01:50:34 [iNFO]      Using /mnt/cache/.PhAzE-Common for PIP directory
2015-11-19 01:50:39 [iNFO]      PIP updated successfully
2015-11-19 01:50:39 [iNFO]      Application config file found
2015-11-19 01:50:44 [iNFO]      *** Install Initiated ***
2015-11-19 01:50:44 [iNFO]      Installing FlexGet...
2015-11-19 01:50:45 [iNFO]      Updating dependencies
2015-11-19 01:50:45 [iNFO]      Dependency install file has correct MD5
2015-11-19 01:50:45 [iNFO]      Using /mnt/cache/.PhAzE-Common for dependency directory
2015-11-19 01:50:46 [iNFO]      Dependencies updated successfully
2015-11-19 01:50:46 [iNFO]      Updating export file
2015-11-19 01:50:46 [iNFO]      Updating shorcut file
2015-11-19 01:50:46 [iNFO]      Updating PIP
2015-11-19 01:50:46 [iNFO]      PIP install file has correct MD5
2015-11-19 01:50:46 [iNFO]      Using /mnt/cache/.PhAzE-Common for PIP directory
2015-11-19 01:50:47 [iNFO]      PIP updated successfully
2015-11-19 01:50:48 [iNFO]      Latest version found: 1.2.392 - Checking USB for same install file
2015-11-19 01:50:48 [iNFO]      No copy found on USB - Downloading install file and checking for MD5 file
2015-11-19 01:50:52 [iNFO]      No MD5 file located - Attempting decompression integrity test
2015-11-19 01:50:52 [iNFO]      Integrity of Flexget-PhAzE-1.2.392-src.tar.gz looks good - Proceeding with install
2015-11-19 01:50:52 [iNFO]      Creating MD5 file
2015-11-19 01:50:54 [iNFO]      Updating application directories
2015-11-19 01:50:54 [iNFO]      Application config file found
2015-11-19 01:50:54 [ERROR]     Install failed: App executable not found
2015-11-19 01:53:09 [iNFO]      *** Install Initiated ***
2015-11-19 01:53:09 [iNFO]      Installing FlexGet...
2015-11-19 01:53:10 [iNFO]      Updating dependencies
2015-11-19 01:53:10 [iNFO]      Dependency install file has correct MD5
2015-11-19 01:53:10 [iNFO]      Using /mnt/cache/.PhAzE-Common for dependency directory
2015-11-19 01:53:11 [iNFO]      Dependencies updated successfully
2015-11-19 01:53:11 [iNFO]      Updating export file
2015-11-19 01:53:11 [iNFO]      Updating shorcut file
2015-11-19 01:53:11 [iNFO]      Updating PIP
2015-11-19 01:53:11 [iNFO]      PIP install file has correct MD5
2015-11-19 01:53:11 [iNFO]      Using /mnt/cache/.PhAzE-Common for PIP directory
2015-11-19 01:53:11 [iNFO]      PIP updated successfully
2015-11-19 01:53:12 [iNFO]      Latest version found: 1.2.392 - Checking USB for same install file
2015-11-19 01:53:12 [iNFO]      Copy found on USB, checking for MD5 file
2015-11-19 01:53:12 [iNFO]      Located MD5 file - Testing against install file
2015-11-19 01:53:12 [iNFO]      MD5 of Flexget-PhAzE-1.2.392-src.tar.gz is valid - Proceeding with install
2015-11-19 01:53:14 [iNFO]      Updating application directories
2015-11-19 01:53:14 [iNFO]      Application config file found
2015-11-19 01:53:14 [ERROR]     Install failed: App executable not found

 

And a search of the file system for anything Flexget:

root@server:/# find . -iname *flexget*
./boot/config/plugins/Flexget
./boot/config/plugins/Flexget/Flexget-PhAzE-Control-2.1.tar.gz
./boot/config/plugins/Flexget/Flexget-PhAzE-Dependency-1.5_x64.tar.gz
./boot/config/plugins/Flexget/Flexget-PhAzE-pip-1.0.tar.gz
./boot/config/plugins/Flexget/Flexget.cfg
./boot/config/plugins/Flexget/Flexget-PhAzE-1.2.392-src.tar.gz
./boot/config/plugins/Flexget/Flexget-PhAzE-1.2.392-src.tar.gz.md5
./boot/config/plugins/Flexget.plg
./usr/local/Flexget
./usr/local/emhttp/plugins/Flexget
./usr/local/emhttp/plugins/Flexget/Flexget.page
./usr/local/emhttp/plugins/Flexget/Flexget.png
./usr/local/emhttp/plugins/Flexget/icons/flexget.png
./usr/local/emhttp/plugins/Flexget/include/Flexget.php
./usr/local/emhttp/plugins/Flexget/scripts/rc.Flexget
./usr/local/emhttp/plugins/Flexget/styles/Flexget5.css
./usr/local/emhttp/plugins/Flexget/styles/Flexget6.css
./usr/bin/Flexget-env
./var/run/Flexget
./var/log/PhAzE-Logs/Flexget.log
./var/log/plugins/Flexget.plg
./tmp/plugins/Flexget.txt
./mnt/user/apps/flexget
./mnt/user/.PhAzE-Common/Flexget
./mnt/cache/apps/flexget
./mnt/cache/.PhAzE-Common/Flexget
./etc/rc.d/rc.Flexget

 

Screen Cap attached.

flexget.png.2e0a74e645a51c366d95fc7baabd103c.png

Share this post


Link to post

Hello,

 

Trying to install Emby and getting an error that it is failing the integrity check. Any ideas here? Saw someone else having that issue but not sure if it pertains to me as it was a different plugin. Any help is greatly appreciated.

 

Thanks

 

-Syco54645

 

edit: Also unrelated but for some reason python 2.7 is never installed to meet dependencies. I have 2.6 installed as I am running the unplugged CP plugin. Is this causing an issue?

Share this post


Link to post

There have been several updates lately.  You also have to remember to change the the moniker from Plex pass member to what it really is, beta plus tester.

 

Yes I have lifetime Plex pass.  Well worth what I spent.

Share this post


Link to post

Are they actually changing it or was that sarcasm? :)  i still see plex pass plastered all over their website.

Share this post


Link to post

Hello,

 

Trying to install Emby and getting an error that it is failing the integrity check. Any ideas here? Saw someone else having that issue but not sure if it pertains to me as it was a different plugin. Any help is greatly appreciated.

 

I get the same thing.  No MD5.  I'm hoping it fixes an instability issue im having with emby crashing daily.

 

2015-11-19 15:31:42 [iNFO] Latest version found: 3.0.5781.2 - Checking USB for same install file

2015-11-19 15:31:42 [iNFO] No copy found on USB - Downloading install file and checking for MD5 file

2015-11-19 15:31:46 [iNFO] No MD5 file located - Attempting decompression integrity test

2015-11-19 15:31:46 [ERROR] Install failed: Failed integrity test

Share this post


Link to post

Hello,

 

Trying to install Emby and getting an error that it is failing the integrity check. Any ideas here? Saw someone else having that issue but not sure if it pertains to me as it was a different plugin. Any help is greatly appreciated.

 

I get the same thing.  No MD5.  I'm hoping it fixes an instability issue im having with emby crashing daily.

 

2015-11-19 15:31:42 [iNFO] Latest version found: 3.0.5781.2 - Checking USB for same install file

2015-11-19 15:31:42 [iNFO] No copy found on USB - Downloading install file and checking for MD5 file

2015-11-19 15:31:46 [iNFO] No MD5 file located - Attempting decompression integrity test

2015-11-19 15:31:46 [ERROR] Install failed: Failed integrity test

 

Glad it is not just me. Currently using plex but really want to give emby a try after their recent announcement of killing PHT, I feel like they do not really have their power users in mind with that decision.

Share this post


Link to post

I will take a look at the md5 errors later. For now, delete the install zip and md5 in the /boot/config/plugins/Emby folder and see if it will install after that.

Share this post


Link to post

I will take a look at the md5 errors later. For now, delete the install zip and md5 in the /boot/config/plugins/Emby folder and see if it will install after that.

 

Did that last night and did not appear to help. Having other issues with the server right now. About to just migrate to 6.0 and redo the plugins.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.